﻿body {
    color: whitesmoke;
    font-family: Cambria, Cochin, Georgia, Times, Times New Roman, serif;
    display: flex;
    flex-direction: column;
    min-height: 95vh;
}

/* I got this code from https://codepen.io/sachasayan/pen/gOpPRZJ and made some changes -Arron B */

* { /* reset margins and paddings on all elements */
    margin: 0;
    padding: 0;
}

body::before {
    content: ""; /* required for ::before */
    position: fixed; /* don't scroll with page */
    z-index: -100; /* place behind elements on page */
    width: 100%;
    height: 100%;
    background-color: #443b5e;
    animation: bg-change 10s infinite;
}

@keyframes bg-change {
    0%, 100% {
        filter: hue-rotate(0deg);
    }

    50% {
        filter: hue-rotate(-45deg);
    }
}

/*End of Borrowed code*/

header {
    padding-top:15px;
}

h1, h2, h3 {
    font-variant:small-caps;
    text-align:center;
}

.center {
    text-align: center;
}

p {
    font-size: 16px;
}

li {
    font-weight: bold;
}

.tbl {
    margin: 0px auto;
    margin-bottom: 20px;
}

td, th {
    border: thin solid black;
    padding: 4px;
}

.stuff {
    flex-grow: 1;
    width: 600px;
    height: auto;
    margin: auto;
}

.abostuff {
    flex-grow: 1;
    width: 640px;
    margin: auto;
}

div.row {
    display: table-row;
}

form textarea {
    width: 350px;
    height: 200px;
    margin-bottom: 10px;
}

form {
    margin: auto;
    display: table;
    padding: 10px;
}

#logo {
    padding-bottom: 15px;
    width: 278px;
    display:block;
    margin:auto;
}

.flexrow {
    display:flex;
    flex-direction:row;
    height:auto;
}

.aname {
    padding-left: 30px;
    padding-top: 20px;
}

.artist {
    text-align: center;
    padding-top: 40px;
    margin: auto;
}

.artist a {
        display: flex;
        flex-direction: column;
        align-items: center;
}

.abome {
    padding-top: 50px;
    width: 200px;
    text-align: center;
    margin: auto;
}

.abome img {
    opacity: 80%;
}

.animator {
    width: 240px;
    text-align: center;
    padding-left: 15px;
    padding-bottom: 42px;
}

a {
    color: whitesmoke;
    text-decoration: none;
    font-size: 18px;
    font-family: sans-serif;
    font-variant: small-caps;
}

a:hover {
    color: #7460b3;
}

.links {
    padding-top: 25px;
    width: 240px;
    margin: auto;
    opacity: 80%;
}

.insta {
    padding-left: 50px;
    padding-right: 50px;
}

.insta img {
    transition: .2s;
}

.insta img:hover {
    transform: scale(1.2);
}

.contact img {
    transition: .2s;
}

.contact img:hover {
    transform: scale(1.2);
}

.chillin {
    float: right;
    transform: scaleX(-1);
}

.gallerynav {
    display:flex;
    justify-content:center;
    padding-bottom: 10px;
}

.gallerynav a {
    padding: 0 5px;    
}

footer {
    z-index: -1;
    text-align: center;
}

@media screen and (max-width: 750px) {
    .aname img {
        width: 250px;
        margin: 0 auto;
    }

    .aname {
        text-align: center;
    }

    .flexrow {
        display: flex;
        flex-direction: column;
        height: auto;
    }

    .artist {
        width: 110px;
        text-align: center;
        padding-top: 40px;
        align-self: center;
    }

    .animator {
        align-self: center;
    }

    #abome {
        width: 300px;
        margin: 0 auto;
    }

    .abostuff {
        text-align: center;
        width: 100%;
    }

    .stuff {
        width: 100%;
        padding: 0 15px;
    }
}
